--- old/usr/src/uts/common/io/nxge/nxge_hcall.s	Thu Nov 14 19:00:11 2019
+++ new/usr/src/uts/common/io/nxge/nxge_hcall.s	Thu Nov 14 19:00:11 2019
@@ -87,181 +87,6 @@
 #define	N2NIU_CFGH_TX_LP_GET	0x145
 #define	N2NIU_CFGH_VR_ASSIGN	0x146
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_rx_logical_page_conf(uint64_t chidx, uint64_t pgidx,
-	uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_rx_logical_page_info(uint64_t chidx, uint64_t pgidx,
-	uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_tx_logical_page_conf(uint64_t chidx, uint64_t pgidx,
-	uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_tx_logical_page_info(uint64_t chidx, uint64_t pgidx,
-	uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vr_assign(uint64_t vridx, uint64_t ldc_id, uint32_t *cookie)
-{ return (0); }
-
-/*
- * KT: Interfaces functions which require the configuration handle
- */
-/*ARGSUSED*/
-uint64_t
-hv_niu_cfgh_rx_logical_page_conf(uint64_t cfgh, uint64_t chidx, uint64_t pgidx,
-	uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_cfgh_rx_logical_page_info(uint64_t cfgh, uint64_t chidx, uint64_t pgidx,
-	uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_cfgh_tx_logical_page_conf(uint64_t cfgh, uint64_t chidx, uint64_t pgidx,
-	uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_cfgh_tx_logical_page_info(uint64_t cfgh, uint64_t chidx, uint64_t pgidx,
-	uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_cfgh_vr_assign(uint64_t cfgh, uint64_t vridx, uint64_t ldc_id, uint32_t *cookie)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vr_unassign(uint32_t cookie)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vr_getinfo(uint32_t cookie, uint64_t *real_start, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vr_get_rxmap(uint32_t cookie, uint64_t *dma_map)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vr_get_txmap(uint32_t cookie, uint64_t *dma_map)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_rx_dma_assign(uint32_t cookie, uint64_t chidx, uint64_t *vchidx)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_rx_dma_unassign(uint32_t cookie, uint64_t vchidx)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_tx_dma_assign(uint32_t cookie, uint64_t chidx, uint64_t *vchidx)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_tx_dma_unassign(uint32_t cookie, uint64_t chidx)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_logical_page_conf(uint32_t cookie, uint64_t chidx, uint64_t pgidx,
-    uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_logical_page_info(uint32_t cookie, uint64_t chidx, uint64_t pgidx,
-    uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_logical_page_conf(uint32_t cookie, uint64_t chidx, uint64_t pgidx,
-    uint64_t raddr, uint64_t size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_logical_page_info(uint32_t cookie, uint64_t chidx, uint64_t pgidx,
-    uint64_t *raddr, uint64_t *size)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_param_get(uint32_t cookie, uint64_t vridx, uint64_t param,
-	uint64_t *value)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_param_set(uint32_t cookie, uint64_t vridx, uint64_t param,
-	uint64_t value)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_param_get(uint32_t cookie, uint64_t vridx, uint64_t param,
-	uint64_t *value)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_param_set(uint32_t cookie, uint64_t vridx, uint64_t param,
-	uint64_t value)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_getinfo(uint32_t cookie, uint64_t vridx,
-	uint64_t *group, uint64_t *logdev)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_getinfo(uint32_t cookie, uint64_t vridx,
-		uint64_t *group, uint64_t *logdev)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrtx_set_ino(uint32_t cookie, uint64_t vridx, uint32_t ino)
-{ return (0); }
-
-/*ARGSUSED*/
-uint64_t
-hv_niu_vrrx_set_ino(uint32_t cookie, uint64_t vridx, uint32_t ino)
-{ return (0); }
-
-#else	/* lint || __lint */
-
 	/*
 	 * hv_niu_rx_logical_page_conf(uint64_t chidx, uint64_t pgidx,
 	 *	uint64_t raddr, uint64_t size)
@@ -627,6 +452,4 @@
 	stw	%o1, [%g1]
 	SET_SIZE(hv_niu_cfgh_vr_assign)
 
-#endif	/* lint || __lint */
-
 #endif /*defined(sun4v)*/
--- old/usr/src/uts/common/io/tpm/tpm_hcall.s	Thu Nov 14 19:00:11 2019
+++ new/usr/src/uts/common/io/tpm/tpm_hcall.s	Thu Nov 14 19:00:11 2019
@@ -33,26 +33,6 @@
 #if defined(sun4v)
 #include <sys/hypervisor_api.h>
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-uint64_t
-hcall_tpm_get(uint64_t locality, uint64_t offset, uint64_t size,
-    uint64_t *value)
-{
-	return (0);
-}
-
-/*ARGSUSED*/
-uint64_t
-hcall_tpm_put(uint64_t locality, uint64_t offset, uint64_t size,
-    uint64_t value)
-{
-	return (0);
-}
-
-#else  /* lint || __lint */
-
 /*
  * hcall_tpm_get(uint64_t locality, uint64_t offset, uint64_t size,
  *     uint64_t *value)
@@ -78,6 +58,4 @@
 	nop
 	SET_SIZE(hcall_tpm_put)
 
-#endif /* lint || __lint */
-
 #endif /* defined(sun4v) */
--- old/usr/src/uts/i86pc/Makefile.files	Thu Nov 14 19:00:11 2019
+++ new/usr/src/uts/i86pc/Makefile.files	Thu Nov 14 19:00:11 2019
@@ -152,21 +152,13 @@
 #	locore.o is special. It must be the first file relocated so that it
 #	it is relocated just where its name implies.
 #
-SPECIAL_OBJS_32 +=		\
+SPECIAL_OBJS +=			\
 	locore.o		\
 	fast_trap_asm.o		\
 	interrupt.o		\
-	syscall_asm.o
-
-SPECIAL_OBJS_64 +=		\
-	locore.o		\
-	fast_trap_asm.o		\
-	interrupt.o		\
-	syscall_asm_amd64.o	\
+	syscall_asm.o		\
 	kpti_trampolines.o
 
-SPECIAL_OBJS += $(SPECIAL_OBJS_$(CLASS))
-
 #
 # Objects that get compiled into the identity mapped PT_LOAD section of unix
 # to handle the earliest part of booting.
@@ -271,7 +263,6 @@
 	sseblk.o		\
 	swtch.o			\
 	syscall_asm.o		\
-	syscall_asm_amd64.o	\
 	kpti_trampolines.o	\
 	cpr_wakecode.o
 
--- old/usr/src/uts/i86pc/Makefile.i86pc	Thu Nov 14 19:00:12 2019
+++ new/usr/src/uts/i86pc/Makefile.i86pc	Thu Nov 14 19:00:12 2019
@@ -25,6 +25,7 @@
 # Copyright (c) 2005, 2010, Oracle and/or its affiliates. All rights reserved.
 # Copyright (c) 2013 Andrew Stormont.  All rights reserved.
 # Copyright 2019 OmniOS Community Edition (OmniOSce) Association.
+# Copyright 2019 Joyent, Inc.
 #
 #
 #	This makefile contains the common definitions for the i86pc unix
@@ -98,15 +99,6 @@
 ALL_BUILDS		= $(ALL_BUILDS64)
 
 #
-#	x86 or amd64 inline templates
-#
-INLINES_32		= $(UTSBASE)/intel/ia32/ml/ia32.il \
-			  $(UTSBASE)/$(PLATFORM)/ml/ia32.il
-INLINES_64		= $(UTSBASE)/intel/amd64/ml/amd64.il \
-			  $(UTSBASE)/$(PLATFORM)/ml/amd64.il
-INLINES			+= $(INLINES_$(CLASS))
-
-#
 #	kernel-specific optimizations; override default in Makefile.master
 #
 
@@ -120,7 +112,7 @@
 
 CFLAGS			= $(CFLAGS_XARCH)
 CFLAGS			+= $(COPTIMIZE)
-CFLAGS			+= $(INLINES) -D_ASM_INLINES
+CFLAGS			+= -D_ASM_INLINES
 CFLAGS			+= $(CCMODE)
 CFLAGS			+= $(SPACEFLAG)
 CFLAGS			+= $(CCUNBOUND)
@@ -146,9 +138,7 @@
 MODSTUBS	 = $(UTSBASE)/intel/ia32/ml/modstubs.s
 GENASSYM_SRC	 = $(UTSBASE)/$(PLATFORM)/ml/genassym.c
 OFFSETS_SRC	 = $(UTSBASE)/$(PLATFORM)/ml/offsets.in
-PLATFORM_OFFSETS_32	= $(UTSBASE)/$(PLATFORM)/ml/mach_offsets.in
-PLATFORM_OFFSETS_64	= $(UTSBASE)/intel/amd64/ml/mach_offsets.in
-PLATFORM_OFFSETS_SRC	= $(PLATFORM_OFFSETS_$(CLASS))
+PLATFORM_OFFSETS_SRC	= $(UTSBASE)/intel/amd64/ml/mach_offsets.in
 KDI_OFFSETS_SRC	 = $(UTSBASE)/intel/kdi/kdi_offsets.in
 
 #
@@ -186,7 +176,6 @@
 
 $(IF_DEBUG_OBJ)trap.o		:= DEBUG_DEFS += -DTRAPDEBUG -DTRAPTRACE
 $(IF_DEBUG_OBJ)syscall_asm.o	:= DEBUG_DEFS += -DSYSCALLTRACE -DTRAPTRACE
-$(IF_DEBUG_OBJ)syscall_asm_amd64.o := DEBUG_DEFS += -DSYSCALLTRACE -DTRAPTRACE
 $(IF_DEBUG_OBJ)fast_trap_asm.o	:= DEBUG_DEFS += -DTRAPTRACE
 $(IF_DEBUG_OBJ)interrupt.o	:= DEBUG_DEFS += -DTRAPTRACE
 $(IF_DEBUG_OBJ)intr.o		:= DEBUG_DEFS += -DTRAPTRACE
--- old/usr/src/uts/i86pc/boot/boot_gdt.s	Thu Nov 14 19:00:12 2019
+++ new/usr/src/uts/i86pc/boot/boot_gdt.s	Thu Nov 14 19:00:12 2019
@@ -25,24 +25,6 @@
  */
 
 
-#if defined(__lint)
-#pragma pack(1)
-struct {
-	uint16_t limit_low;
-	uint16_t base_low;
-	uint8_t base_middle;
-	uint8_t attr;
-	uint8_t attr_and_limit;
-	uint8_t base_high;
-} global_descriptor_table[8];
-struct {
-	uint16_t limit;	/* sizeof (global_descriptor_table) - 1 */
-	void     *base;	/* &global_descriptor_table */
-} gdt_info;
-#pragma pack()
-
-#else	/* __lint */
-
 	.align 16
 	.data
 	/*
@@ -143,4 +125,3 @@
 	.4byte 0
 	.skip 0x6c0, 0
 
-#endif	/* __lint */
--- old/usr/src/uts/i86pc/dboot/dboot_asm.s	Thu Nov 14 19:00:12 2019
+++ new/usr/src/uts/i86pc/dboot/dboot_asm.s	Thu Nov 14 19:00:12 2019
@@ -27,27 +27,6 @@
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 
-#if defined(__lint)
-
-#include "dboot_asm.h"
-
-/* ARGSUSED */
-uint32_t
-get_cpuid_edx(uint32_t *eax)
-{ return (0); }
-
-/* ARGSUSED */
-void
-outb(int port, uint8_t value)
-{}
-
-/* ARGSUSED */
-uint8_t
-inb(int port)
-{ return (0); }
-
-#else /* __lint */
-
 #if defined(__amd64)
 
 	/*
@@ -140,4 +119,3 @@
 
 #endif	/* __i386 */
 
-#endif /* __lint */
--- old/usr/src/uts/i86pc/dboot/dboot_grub.s	Thu Nov 14 19:00:12 2019
+++ new/usr/src/uts/i86pc/dboot/dboot_grub.s	Thu Nov 14 19:00:12 2019
@@ -24,12 +24,6 @@
  * Use is subject to license terms.
  */
 
-#if defined(__lint)
-
-int silence_lint_warnings = 0;
-
-#else /* __lint */
-
 #include <sys/multiboot.h>
 #include <sys/multiboot2.h>
 #include <sys/asm_linkage.h>
@@ -372,4 +366,3 @@
 	.skip 4096
 	.long	0
 
-#endif /* __lint */
--- old/usr/src/uts/i86pc/dboot/dboot_xen.s	Thu Nov 14 19:00:13 2019
+++ new/usr/src/uts/i86pc/dboot/dboot_xen.s	Thu Nov 14 19:00:13 2019
@@ -24,16 +24,10 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/asm_linkage.h>
 #include <sys/asm_misc.h>
 #include "dboot_xboot.h"
 
-#if defined(__lint)
-
-#else /* __lint */
-
 #if defined(__amd64)
 
 	ENTRY_NP(_start)
@@ -125,4 +119,3 @@
 
 #endif	/* __i386 */
 
-#endif /* __lint */
--- old/usr/src/uts/i86pc/ml/bios_call_src.s	Thu Nov 14 19:00:13 2019
+++ new/usr/src/uts/i86pc/ml/bios_call_src.s	Thu Nov 14 19:00:13 2019
@@ -24,14 +24,10 @@
  * Use is subject to license terms.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
+/*
+ * Copyright 2019 Joyent, Inc.
+ */
 
-#if defined(__lint)
-
-int silence_lint = 0;
-
-#else
-
 #include <sys/segments.h>
 #include <sys/controlregs.h>
 
@@ -44,46 +40,12 @@
  */
 #define DATASZ	.byte 0x66;
 
-#if defined(__amd64)
-#define	MOVCR(x, y)	movq  x,%rax; movq  %rax, y
-#define LOAD_XAX(sym)	leaq	sym, %rax
-#elif defined(__i386)
-#define	MOVCR(x, y)	movl  x,%eax; movl  %eax, y
-#define LOAD_XAX(sym)	leal	sym, %eax
-#endif
-
 	.globl	_start
 _start:
 
-#if defined(__i386)
-
 	/*
 	 * Save caller registers
 	 */
-	movl	%ebp, save_ebp
-	movl	%esp, save_esp
-	movl	%ebx, save_ebx
-	movl	%esi, save_esi
-	movl	%edi, save_edi
-
-	/* get registers argument into esi */
-	movl	8(%esp), %esi
-
-	/* put interrupt number in %bl */
-	movl	4(%esp), %ebx
-
-	/* Switch to a low memory stack */
-	movl	$_start, %esp
-
-	/* allocate space for args on stack */
-	subl	$18, %esp
-	movl	%esp, %edi
-
-#elif defined(__amd64)
-
-	/*
-	 * Save caller registers
-	 */
 	movq	%rbp, save_rbp
 	movq	%rsp, save_rsp
 	movq	%rbx, save_rbx
@@ -103,8 +65,6 @@
 	subq	$18, %rsp
 	movq	%rsp, %rdi
 
-#endif
-
 	/* copy args from high memory to stack in low memory */
 	cld
 	movl	$18, %ecx
@@ -123,11 +83,13 @@
 	movw	%es, save_es
 	movw	%fs, save_fs
 	movw	%gs, save_gs
-	MOVCR(	%cr4, save_cr4)
-	MOVCR(	%cr3, save_cr3)
-	MOVCR(	%cr0, save_cr0)
+	movq	%cr4, %rax
+	movq	%rax, save_cr4
+	movq	%cr3, %rax
+	movq	%rax, save_cr3
+	movq	%cr0, %rax
+	movq	%rax, save_cr0
 
-#if defined(__amd64)
 	/*
 	 * save/clear the extension parts of the fs/gs base registers and cr8
 	 */
@@ -157,18 +119,17 @@
 
 	movq	%cr8, %rax
 	movq	%rax, save_cr8
-#endif
 
 	/*
 	 * set offsets in 16 bit ljmp instructions below
 	 */
-	LOAD_XAX(enter_real)
+	leaq	enter_real, %rax
 	movw	%ax, enter_real_ljmp
 
-	LOAD_XAX(enter_protected)
+	leaq	enter_protected, %rax
 	movw	%ax, enter_protected_ljmp
 
-	LOAD_XAX(gdt_info)
+	leaq	gdt_info, %rax
 	movw	%ax, gdt_info_load
 
 	/*
@@ -181,7 +142,6 @@
 	/*
 	 * zero out all the registers to make sure they're 16 bit clean
 	 */
-#if defined(__amd64)
 	xorq	%r8, %r8
 	xorq	%r9, %r9
 	xorq	%r10, %r10
@@ -190,7 +150,6 @@
 	xorq	%r13, %r13
 	xorq	%r14, %r14
 	xorq	%r15, %r15
-#endif
 	xorl	%eax, %eax
 	xorl	%ebx, %ebx
 	xorl	%ecx, %ecx
@@ -205,9 +164,8 @@
 	lgdt	gdt_info
 	lidt	idt_info
 
-#if defined(__amd64)
 	/*
-	 * Shut down 64 bit mode. First get into compatiblity mode.
+	 * Shut down 64 bit mode. First get into compatibility mode.
 	 */
 	movq	%rsp, %rax
 	pushq	$B32DATA_SEL
@@ -238,7 +196,6 @@
 	rdmsr
 	btcl	$8, %eax		/* bit 8 Long Mode Enable bit */
 	wrmsr
-#endif
 
 	/*
 	 * ok.. now enter 16 bit mode, so we can shut down protected mode
@@ -351,7 +308,6 @@
 	movl	save_cr3, %eax
 	movl	%eax, %cr3
 
-#if defined(__amd64)
 	/*
 	 * re-enable long mode
 	 */
@@ -359,7 +315,6 @@
 	rdmsr
 	btsl	$8, %eax
 	wrmsr
-#endif
 
 	movl	save_cr0, %eax
 	movl	%eax, %cr0
@@ -367,7 +322,6 @@
 enter_paging:
 
 
-#if defined(__amd64)
 	/*
 	 * transition back to 64 bit mode
 	 */
@@ -376,7 +330,6 @@
 	lret
 longmode:
 	.code64
-#endif
 	/*
 	 * restore caller frame pointer and segment registers
 	 */
@@ -388,15 +341,9 @@
 	 * in its corresponding GDT selector. The busy bit is the 2nd bit in
 	 * the 5th byte of the selector.
 	 */
-#if defined(__i386)
-	movzwl	save_tr, %eax
-	addl	save_gdt+2, %eax
-	btcl	$1, 5(%eax)
-#elif defined(__amd64)
 	movzwq	save_tr, %rax
 	addq	save_gdt+2, %rax
 	btcl	$1, 5(%rax)
-#endif
 	ltr	save_tr
 	movw	save_ds, %ds
 	movw	save_ss, %ss
@@ -404,18 +351,11 @@
 	movw	save_fs, %fs
 	movw	save_gs, %gs
 
-#if defined(__i386)
-	pushl	save_cs
-	pushl	$.newcs
-	lret
-#elif defined(__amd64)
 	pushq	save_cs
 	pushq	$.newcs
 	lretq
-#endif
 .newcs:
 
-#if defined(__amd64)
 	/*
 	 * restore the hidden kernel segment base register values
 	 */
@@ -439,29 +379,10 @@
 	je	1f
 	movq	%rax, %cr8
 1:
-#endif
 
 	/*
 	 * copy results to caller's location, then restore remaining registers
 	 */
-#if defined(__i386)
-	movl    save_esp, %edi
-	movl	8(%edi), %edi
-	movl	%esp, %esi
-	movl	$18, %ecx
-	rep
-	movsb
-	movw	18(%esp), %ax
-	andl	$0xffff, %eax
-	movl    save_ebx, %ebx
-	movl    save_esi, %esi
-	movl    save_edi, %edi
-	movl    save_esp, %esp
-	movl    save_ebp, %ebp
-	movl    save_esp, %esp
-	ret
-
-#elif defined(__amd64)
 	movq    save_rsi, %rdi
 	movq	%rsp, %rsi
 	movq	$18, %rcx
@@ -478,9 +399,7 @@
 	movq    save_rsp, %rsp
 	ret
 
-#endif
 
-
 /*
  * Caller's registers to restore
  */
@@ -497,7 +416,6 @@
 	.long	0
 
 	.align 8
-#if defined(__amd64)
 save_rsi:
 	.quad	0
 save_rbx:
@@ -522,7 +440,6 @@
 	.quad	0
 save_cr8:
 	.quad	0
-#endif	/* __amd64 */
 
 save_idt:
 	.quad	0
@@ -562,4 +479,3 @@
  * We need to trampoline thru a gdt we have in low memory.
  */
 #include "../boot/boot_gdt.s"
-#endif /* __lint */
--- old/usr/src/uts/i86pc/ml/comm_page.s	Thu Nov 14 19:00:13 2019
+++ new/usr/src/uts/i86pc/ml/comm_page.s	Thu Nov 14 19:00:13 2019
@@ -20,7 +20,7 @@
 #include <sys/comm_page.h>
 #include <sys/tsc.h>
 
-#if defined(_GENCTF) || defined(__lint)
+#if defined(_GENCTF)
 
 hrtime_t tsc_last;
 hrtime_t tsc_resume_cap;
@@ -37,7 +37,7 @@
 
 comm_page_t comm_page;
 
-#else /* defined(_GENCTF) || defined(__lint) */
+#else /* defined(_GENCTF) */
 
 #include "assym.h"
 
@@ -85,4 +85,4 @@
 	/* pad out the rest of the page from the struct end */
 	.fill	_CONST(COMM_PAGE_SIZE - COMM_PAGE_S_SIZE), 1, 0
 
-#endif /* defined(_GENCTF) || defined(__lint) */
+#endif /* defined(_GENCTF) */
--- old/usr/src/uts/i86pc/ml/cpr_wakecode.s	Thu Nov 14 19:00:14 2019
+++ new/usr/src/uts/i86pc/ml/cpr_wakecode.s	Thu Nov 14 19:00:14 2019
@@ -30,10 +30,8 @@
 #include <sys/x86_archext.h>
 #include <sys/cpr_wakecode.h>
 
-#if !defined(__lint)
 #include <sys/segments.h>
 #include "assym.h"
-#endif
 
 #ifdef  DEBUG
 #define LED     1
@@ -76,17 +74,6 @@
  *
  */
 
-#if defined(lint) || defined(__lint)
-
-/*ARGSUSED*/
-int
-wc_save_context(wc_cpu_t *pcpu)
-{ return 0; }
-
-#else	/* lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(wc_save_context)
 
 	movq	(%rsp), %rdx		/ return address
@@ -174,60 +161,7 @@
 
 	SET_SIZE(wc_save_context)
 
-#elif defined(__i386)
 
-	ENTRY_NP(wc_save_context)
-
-	movl	4(%esp), %eax		/ wc_cpu_t *
-	movl	%eax, WC_VIRTADDR(%eax)
-
-	movl	(%esp), %edx		/ return address
-	movl	%edx, WC_RETADDR(%eax)
-
-	str	WC_TR(%eax)		/ stash everything else we need
-	sgdt	WC_GDT(%eax)
-	sldt	WC_LDT(%eax)
-	sidt	WC_IDT(%eax)
-
-	movl	%cr0, %edx
-	movl	%edx, WC_CR0(%eax)
-	movl	%cr3, %edx
-	movl	%edx, WC_CR3(%eax)
-	movl	%cr4, %edx
-	movl	%edx, WC_CR4(%eax)
-
-	movl	%ebx, WC_EBX(%eax)
-	movl	%edi, WC_EDI(%eax)
-	movl	%esi, WC_ESI(%eax)
-	movl	%ebp, WC_EBP(%eax)
-	movl	%esp, WC_ESP(%eax)
-
-	movw	%ss, WC_SS(%eax)
-	movw	%cs, WC_CS(%eax)
-	movw	%ds, WC_DS(%eax)
-	movw	%es, WC_ES(%eax)
-	movw	%fs, WC_FS(%eax)
-	movw	%gs, WC_GS(%eax)
-
-	pushfl
-	popl	WC_EFLAGS(%eax)
-
-	pushl	%gs:CPU_ID		/ save current cpu id
-	popl	WC_CPU_ID(%eax)
-
-	wbinvd				/ flush the cache
-	mfence
-
-	movl	$1, %eax		/ at suspend return 1
-	ret
-
-	SET_SIZE(wc_save_context)
-
-#endif	/* __amd64 */
-
-#endif /* lint */
-
-
 /*
  *	Our assumptions:
  *		- We are running in real mode.
@@ -244,20 +178,6 @@
  *		- We return to original caller (a la setjmp)
  */
 
-#if defined(lint) || defined(__lint)
-
-void
-wc_rm_start(void)
-{}
-
-void
-wc_rm_end(void)
-{}
-
-#else	/* lint */
-
-#if defined(__amd64)
-
 	ENTRY_NP(wc_rm_start)
 
 	/*
@@ -871,299 +791,4 @@
 	.globl wc_rm_end
 wc_rm_end:
 	nop
-
-#elif defined(__i386)
-
-	ENTRY_NP(wc_rm_start)
-
-/entry:	jmp		entry			/ stop here for HDT
-
-	cli
-	movw		%cs, %ax
-	movw		%ax, %ds		/ establish ds ...
-	movw		%ax, %ss		/ ... and ss:esp
-	D16 movl	$WC_STKSTART, %esp
-
-#if     LED
-	D16 movl        $WC_LED, %edx
-	D16 movb        $0xd1, %al
-	outb    (%dx)
-#endif
-
-#if     SERIAL
-	D16 movl        $WC_COM, %edx
-	D16 movb        $0x61, %al
-	outb    (%dx)
-#endif
-
-
-	D16 call	vgainit
-	D16 call	kbdinit
-	D16 call	cominit
-
-#if     LED
-	D16 movl        $WC_LED, %edx
-	D16 movb        $0xd2, %al
-	outb    (%dx)
-#endif
-
-#if     SERIAL
-	D16 movl        $WC_COM, %edx
-	D16 movb        $0x62, %al
-	outb    (%dx)
-#endif
-
-	D16 A16 movl	$WC_CPU, %ebx		/ base add of wc_cpu_t
-
-#if     LED
-	D16 movb        $0xd3, %al
-	outb    $WC_LED
-#endif
-
-#if     SERIAL
-	D16 movl        $WC_COM, %edx
-	D16 movb        $0x63, %al
-	outb    (%dx)
-#endif
-
-	D16 A16 movl	%cs:WC_DS(%ebx), %edx	/ %ds post prot/paging transit
-
-#if     LED
-	D16 movb        $0xd4, %al
-	outb    $WC_LED
-#endif
-
-	D16 A16 lgdt	%cs:WC_GDT(%ebx)	/ restore gdt and idtr
-	D16 A16 lidt	%cs:WC_IDT(%ebx)
-
-#if     LED
-	D16 movb        $0xd5, %al
-	outb    $WC_LED
-#endif
-
-	D16 A16 movl	%cs:WC_CR4(%ebx), %eax	/ restore cr4
-	D16 andl	$_BITNOT(CR4_PGE), %eax / don't set Global Enable yet
-	movl		%eax, %cr4
-
-#if     LED
-	D16 movb        $0xd6, %al
-	outb    $WC_LED
-#endif
-
-	D16 A16 movl	%cs:WC_CR3(%ebx), %eax	/ set PDPT
-	movl		%eax, %cr3
-
-#if     LED
-	D16 movb        $0xd7, %al
-	outb    $WC_LED
-#endif
-
-	D16 A16 movl	%cs:WC_CR0(%ebx), %eax	/ enable prot/paging, etc.
-	movl		%eax, %cr0
-
-#if     LED
-	D16 movb        $0xd8, %al
-	outb    $WC_LED
-#endif
-
-	D16 A16 movl	%cs:WC_VIRTADDR(%ebx), %ebx	/ virtaddr of wc_cpu_t
-
-#if     LED
-	D16 movb        $0xd9, %al
-	outb    $WC_LED
-#endif
-
-#if     LED
-	D16 movb        $0xda, %al
-	outb    $WC_LED
-#endif
-
-	jmp		flush			/ flush prefetch queue
-flush:
-	D16 pushl	$KCS_SEL
-	D16 pushl	$kernel_wc_code
-	D16 lret				/ re-appear at kernel_wc_code
-
-
-/*
- * Support routine to re-initialize VGA subsystem
- */
-vgainit:
-	D16 ret
-
-/*
- * Support routine to re-initialize keyboard (which is USB - help!)
- */
-kbdinit:
-	D16 ret
-
-/*
- * Support routine to re-initialize COM ports to something sane for debug output
- */
-cominit:
-#if     DEBUG
-/*
- * on debug kernels we need to initialize COM1 & COM2 here, so that
- * we can get debug output before the asy driver has resumed
- */
-
-/ select COM1
-	D16 movl	$_CONST(COM1+LCR), %edx
-	D16 movb	$DLAB, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM1+DLL), %edx	/ divisor latch lsb
-	D16 movb	$B9600L, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM1+DLH), %edx	/ divisor latch hsb
-	D16 movb	$B9600H, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM1+LCR), %edx	/ select COM1
-	D16 movb	$_CONST(STOP1|BITS8), %al	/ 1 stop bit, 8bit word len
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM1+MCR), %edx	/ select COM1
-	D16 movb	$_CONST(RTS|DTR), %al		/ 1 stop bit, 8bit word len
-	outb	(%dx)
-
-/ select COM2
-	D16 movl	$_CONST(COM2+LCR), %edx
-	D16 movb	$DLAB, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM2+DLL), %edx	/ divisor latch lsb
-	D16 movb	$B9600L, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM2+DLH), %edx	/ divisor latch hsb
-	D16 movb	$B9600H, %al		/ divisor latch
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM2+LCR), %edx	/ select COM1
-	D16 movb	$_CONST(STOP1|BITS8), %al	/ 1 stop bit, 8bit word len
-	outb	(%dx)
-
-	D16 movl	$_CONST(COM2+MCR), %edx	/ select COM1
-	D16 movb	$_CONST(RTS|DTR), %al		/ 1 stop bit, 8bit word len
-	outb	(%dx)
-#endif	/*	DEBUG	*/
-
-	D16 ret
-
-	.globl wc_rm_end
-wc_rm_end:
-	nop
-
-	.globl	kernel_wc_code
-kernel_wc_code:
-	/ At this point we are with kernel's cs and proper eip.
-	/ We will be executing not from the copy in real mode platter,
-	/ but from the original code where boot loaded us.
-	/ By this time GDT and IDT are loaded as is cr0, cr3 and cr4.
-	/ %ebx is wc_cpu
-	/ %dx is our ds
-
-#if     LED
-	D16 movb        $0xdb, %al
-	outb	$WC_LED
-#endif
-
-/ got here OK
-
-	movw	%dx, %ds		/ $KDS_SEL
-
-#if     LED
-	movb	$0xdc, %al
-	outb	$WC_LED
-#endif
-
-	/*
-	 * Before proceeding, enable usage of the page table NX bit if
-	 * that's how the page tables are set up.
-	 */
-	bt      $X86FSET_NX, x86_featureset
-	jnc     1f
-	movl    $MSR_AMD_EFER, %ecx
-	rdmsr
-	orl     $AMD_EFER_NXE, %eax
-	wrmsr
-1:
-
-	movl	WC_CR4(%ebx), %eax	/ restore full cr4 (with Global Enable)
-	movl	%eax, %cr4
-
-
-	lldt	WC_LDT(%ebx)		/ $LDT_SEL
-
-	movzwl	WC_TR(%ebx), %eax	/ clear TSS busy bit
-	addl	WC_GDT+2(%ebx), %eax
-	andl	$_BITNOT(0x200), 4(%eax)
-	ltr	WC_TR(%ebx)		/ $UTSS_SEL
-
-	movw	WC_SS(%ebx), %ss	/ restore segment registers
-	movw	WC_ES(%ebx), %es
-	movw	WC_FS(%ebx), %fs
-	movw	WC_GS(%ebx), %gs
-
-	/*
-	 * set the stack pointer to point into the identity mapped page
-	 * temporarily, so we can make function calls
-	 */
-	.globl  rm_platter_va
-	movl    rm_platter_va, %eax
-	movl	$WC_STKSTART, %esp
-	addl	%eax, %esp
-	movl	%esp, %ebp
-
-	/*
-	 * if we are not running on the boot CPU restore stack contents by
-	 * calling i_cpr_restore_stack(curthread, save_stack);
-	 */
-	call	i_cpr_bootcpuid
-	cmpl	%eax, WC_CPU_ID(%ebx)
-	je	2f
-
-	pushl	WC_SAVED_STACK(%ebx)
-	pushl	%gs:CPU_THREAD
-	call	i_cpr_restore_stack
-	addl	$0x10, %esp
-2:
-
-	movl	WC_ESP(%ebx), %esp
-	movl	%esp, %ebp
-
-	movl	WC_RETADDR(%ebx), %eax	/ return to caller of wc_save_context
-	movl	%eax, (%esp)
-
-	/*
-	 * APIC initialization, skip iff function pointer is NULL
-	 */
-	cmpl	$0, ap_mlsetup
-	je	3f
-	call	*ap_mlsetup
-3:
-
-	call	*cpr_start_cpu_func
-
-	pushl	WC_EFLAGS(%ebx)		/ restore flags
-	popfl
-
-	movl	WC_EDI(%ebx), %edi	/ restore general registers
-	movl	WC_ESI(%ebx), %esi
-	movl	WC_EBP(%ebx), %ebp
-	movl	WC_EBX(%ebx), %ebx
-
-/exit:	jmp	exit			/ stop here for HDT
-
-	xorl	%eax, %eax		/ at wakeup return 0
-	ret
-
-	SET_SIZE(wc_rm_start)
-
-
-#endif	/* defined(__amd64) */
-
-#endif /* lint */
 
--- old/usr/src/uts/i86pc/ml/fast_trap_asm.s	Thu Nov 14 19:00:14 2019
+++ new/usr/src/uts/i86pc/ml/fast_trap_asm.s	Thu Nov 14 19:00:14 2019
@@ -29,15 +29,6 @@
 #include <sys/regset.h>
 #include <sys/psw.h>
 
-#if defined(__lint)
-
-#include <sys/types.h>
-#include <sys/thread.h>
-#include <sys/systm.h>
-#include <sys/lgrp.h>
-
-#else   /* __lint */
-
 #include <sys/pcb.h>
 #include <sys/trap.h>
 #include <sys/ftrace.h>
@@ -48,42 +39,7 @@
 
 #include "assym.h"
 
-#endif	/* __lint */
 
-
-#if defined(__lint)
-
-hrtime_t
-get_hrtime(void)
-{ return (0); }
-
-hrtime_t
-get_hrestime(void)
-{
-	hrtime_t ts;
-
-	gethrestime((timespec_t *)&ts);
-	return (ts);
-}
-
-hrtime_t
-gethrvtime(void)
-{
-	klwp_t *lwp = ttolwp(curthread);
-	struct mstate *ms = &lwp->lwp_mstate;
-
-	return (gethrtime() - ms->ms_state_start + ms->ms_acct[LMS_USER]);
-}
-
-uint64_t
-getlgrp(void)
-{
-	return (((uint64_t)(curthread->t_lpl->lpl_lgrpid) << 32) |
-			curthread->t_cpu->cpu_id);
-}
-
-#else	/* __lint */
-
 /*
  * XX64: We are assuming that libc continues to expect the 64-bit value being
  * returned in %edx:%eax.  We further assume that it is safe to leave
@@ -95,8 +51,6 @@
  * assumptions are not true.
  */
 
-#if defined(__amd64)
-
 	.globl	gethrtimef
 	ENTRY_NP(get_hrtime)
 	FAST_INTR_PUSH
@@ -108,20 +62,6 @@
 	FAST_INTR_RETURN
 	SET_SIZE(get_hrtime)
 
-#elif defined(__i386)
-
-	.globl	gethrtimef
-	ENTRY_NP(get_hrtime)
-	FAST_INTR_PUSH
-	call	*gethrtimef
-	FAST_INTR_POP
-	FAST_INTR_RETURN
-	SET_SIZE(get_hrtime)
-
-#endif	/* __i386 */
-
-#if defined(__amd64)
-
 	.globl	gethrestimef
 	ENTRY_NP(get_hrestime)
 	FAST_INTR_PUSH
@@ -136,25 +76,6 @@
 	FAST_INTR_RETURN
 	SET_SIZE(get_hrestime)
 
-#elif defined(__i386)
-
-	.globl	gethrestimef
-	ENTRY_NP(get_hrestime)
-	FAST_INTR_PUSH
-	subl	$TIMESPEC_SIZE, %esp
-	pushl	%esp
-	call	*gethrestimef
-	movl	_CONST(4 + 0)(%esp), %eax
-	movl	_CONST(4 + CLONGSIZE)(%esp), %edx
-	addl	$_CONST(4 + TIMESPEC_SIZE), %esp
-	FAST_INTR_POP
-	FAST_INTR_RETURN
-	SET_SIZE(get_hrestime)
-
-#endif	/* __i386 */
-
-#if defined(__amd64)
-
 	ENTRY_NP(gethrvtime)
 	FAST_INTR_PUSH
 	call	gethrtime_unscaled		/* get time since boot */
@@ -173,34 +94,6 @@
 	FAST_INTR_RETURN
 	SET_SIZE(gethrvtime)
 
-#elif defined(__i386)
-
-	ENTRY_NP(gethrvtime)
-	FAST_INTR_PUSH
-	call	gethrtime_unscaled		/* get time since boot */
-	movl	%gs:CPU_LWP, %ecx		/* current lwp */
-	subl	LWP_MS_STATE_START(%ecx), %eax	/* - ms->ms_state_start */
-	sbbl	LWP_MS_STATE_START+4(%ecx), %edx
-	addl	LWP_ACCT_USER(%ecx), %eax	/* add ms->ms_acct[LMS_USER] */
-	adcl	LWP_ACCT_USER+4(%ecx), %edx
-	subl	$0x8, %esp
-	leal	(%esp), %ecx
-	movl	%eax, (%ecx)
-	movl	%edx, 4(%ecx)
-	pushl	%ecx
-	call	scalehrtime
-	popl	%ecx
-	movl	(%ecx), %eax
-	movl	4(%ecx), %edx
-	addl	$0x8, %esp
-	FAST_INTR_POP
-	FAST_INTR_RETURN
-	SET_SIZE(gethrvtime)
-
-#endif	/* __i386 */
-
-#if defined(__amd64)
-
 	ENTRY_NP(getlgrp)
 	FAST_INTR_PUSH
 	movq	%gs:CPU_THREAD, %rcx
@@ -211,18 +104,3 @@
 	FAST_INTR_RETURN
 	SET_SIZE(getlgrp)
 
-#elif defined(__i386)
-
-	ENTRY_NP(getlgrp)
-	FAST_INTR_PUSH
-	movl	%gs:CPU_THREAD, %ecx
-	movl	T_LPL(%ecx), %ecx
-	movl	LPL_LGRPID(%ecx), %edx
-	movl	%gs:CPU_ID, %eax
-	FAST_INTR_POP
-	FAST_INTR_RETURN
-	SET_SIZE(getlgrp)
-
-#endif	/* __i386 */
-
-#endif	/* __lint */
